createSignedUrl
Overview
This method can be used for generating a signed URL for a file, allowing anyone with the URL to download the file as if they were logged in to your account. This can be useful if you've created a website where users are accessing Redivis through a proxy, where you want them to be able to download certain files without being logged in to Redivis.
HTTP Request
POST /api/v1/rawFiles/:fileId/signedUrlRequest body
Provide a JSON object with information about the dataset.
duration
number
Required. The duration, in seconds, for which the signed URL is valid. Cannot exceed 86,400 (1 day).
Authorization
Data access to the underlying file is required. If a file is not public, your access token must have one of the following scopes:
data.data
data.edit
Response body
Returns a signed URL (as text) that you can use to download the file from an unauthenticated context. E.g.:
Was this helpful?

